<?php
// Upsell.
$wp_customize->add_section(
	'theme_upsell',
	array(
		'title'    => esc_html__( 'Unlock More Features', 'newscastle' ),
		'priority' => 1,
	)
);
$wp_customize->add_setting(
	'theme_pro_features',
	array(
		'sanitize_callback' => '__return_true',
	)
);
$wp_customize->add_control(
	new Newscastle_Upsell(
		$wp_customize,
		'theme_pro_features',
		array(
			'section' => 'theme_upsell',
			'type'    => 'upsell',
		)
	)
);

$wp_customize->add_section(
	new Newscastle_Section_Features_List(
		$wp_customize,
		'theme_header_features',
		array(
			'title'         => esc_html__( 'More Options on NewsCastle Pro!', 'newscastle' ),
			'features_list' => array(
				esc_html__( 'Dark mode options', 'newscastle' ),
				esc_html__( 'Menu badge options', 'newscastle' ),
				esc_html__( '17+ Preloader options', 'newscastle' ),
				esc_html__( 'More color options', 'newscastle' ),
				esc_html__( '404 page options', 'newscastle' ),
				esc_html__( '... and many other premium features', 'newscastle' ),
			),
			'panel'         => 'header_options_panel',
			'priority'      => 999,
		)
	)
);
